Get ProseGuard configuration
GET /api/writing/proseguard/config/{project_id}
GET
/api/writing/proseguard/config/{project_id}
Get ProseGuard behavior configuration for a project.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_id
required
Project Id
string
Responses
Section titled “ Responses ”Successful Response
ProseGuardConfig
User-configurable ProseGuard behavior settings.
Controls how ProseGuard operates during generation, including auto-revision behavior and severity thresholds.
Attributes: enabled: Master toggle for ProseGuard auto_revise_enabled: Whether to automatically revise on violations max_revision_attempts: Hard cap on revision attempts (1-3) auto_revise_severity: Only auto-revise at this severity or higher
object
enabled
Enabled
Master toggle for ProseGuard
boolean
autoReviseEnabled
Autoreviseenabled
Automatically revise content on violations
boolean
maxRevisionAttempts
Maxrevisionattempts
Maximum revision attempts (hard cap)
integer
autoReviseSeverity
Autoreviseseverity
Only auto-revise at this severity level or higher
string
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context